Package com.tick42.glue.internal

# Class Tick42Glue

java.lang.Object
com.tick42.glue.internal.Tick42Glue

All Implemented Interfaces:
  `AsynchronousCloseable`, `GlueApplication`, `GlueEvent.Monitor`, `Glue`, `AutoCloseable`

    public class Tick42Glue
    extends Object
    implements Glue

- ## Nested Class Summary

  Nested Classes
  Modifier and Type | Class | Description
  --- | --- | ---
  `static class` | `Tick42Glue.Builder` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `ApplicationManager` | `appManager()` | Entry point for `ApplicationManager` API.
  `static Tick42Glue.Builder` | `builder()` | Creates a builder for Glue instances.
  `Channels` | `channels()` | Entry point for `Channels` API.
  `CompletionStage<Void>` | `closeAsync()` | Initiates a shutdown.
  `SharedContexts` | `contexts()` | Entry point for `SharedContexts` API.
  `String` | `env()` | Returns the Glue environment.
  `Spreadsheets` | `excel()` |
  `Intents` | `intents()` | Entry point for `Intents` API.
  `Interop` | `interop()` | Entry point for `Interop` API.
  `Layouts` | `layouts()` | Entry point for `Layouts` API.
  `Notifications` | `notifications()` | Entry point for `Notifications` API.
  `<E extends GlueEvent<?>> CompletionStage<GlueEvent.Subscription<E>>` | `on​(GlueEvent.Listener<? extends E> listener)` |
  `CompletionStage<Void>` | `onClose()` | Return a stage that will complete when `AsynchronousCloseable.closeAsync()` is called and shutdown completes.
  `Mail` | `outlook()` |
  `String` | `region()` | Returns the Glue region.
  `String` | `version()` | Returns the version of the Glue library.
  `WindowManager` | `windows()` | Entry point for `Window Management` API.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.tick42.glue.core.AsynchronousCloseable

  `close`

- ## Method Details

  - ### version

    public String version()
    Description copied from interface: `Glue`
    Returns the version of the Glue library.
    Specified by:
      `version` in interface `Glue`
    Returns:
      version of the Glue library, never `null`

  - ### env

    public String env()
    Description copied from interface: `Glue`
    Returns the Glue environment.
    Specified by:
      `env` in interface `Glue`
    Returns:
      environment, never `null`

  - ### region

    public String region()
    Description copied from interface: `Glue`
    Returns the Glue region.
    Specified by:
      `region` in interface `Glue`
    Returns:
      region, never `null`

  - ### interop

    public Interop interop()
    Description copied from interface: `GlueApplication`
    Entry point for `Interop` API.
    Specified by:
      `interop` in interface `GlueApplication`
    Returns:
      interop for this Glue application

  - ### contexts

    public SharedContexts contexts()
    Description copied from interface: `GlueApplication`
    Entry point for `SharedContexts` API.
    Specified by:
      `contexts` in interface `GlueApplication`
    Returns:
      shared contexts for this Glue application

  - ### windows

    public WindowManager windows()
    Description copied from interface: `Glue`
    Entry point for `Window Management` API.
    Specified by:
      `windows` in interface `Glue`
    Returns:
      window manager for this Glue application

  - ### channels

    public Channels channels()
    Description copied from interface: `Glue`
    Entry point for `Channels` API.
    Specified by:
      `channels` in interface `Glue`
    Returns:
      channels for this Glue application

  - ### notifications

    public Notifications notifications()
    Description copied from interface: `Glue`
    Entry point for `Notifications` API.
    Specified by:
      `notifications` in interface `Glue`
    Returns:
      notifications for this Glue application

  - ### appManager

    public ApplicationManager appManager()
    Description copied from interface: `Glue`
    Entry point for `ApplicationManager` API.
    Specified by:
      `appManager` in interface `Glue`
    Returns:
      app manager for this Glue application

  - ### layouts

    public Layouts layouts()
    Description copied from interface: `Glue`
    Entry point for `Layouts` API.
    Specified by:
      `layouts` in interface `Glue`
    Returns:
      layouts manager for this Glue application

  - ### intents

    public Intents intents()
    Description copied from interface: `Glue`
    Entry point for `Intents` API.
    Specified by:
      `intents` in interface `Glue`
    Returns:
      intents for this Glue application

  - ### outlook

    public Mail outlook()
    Specified by:
      `outlook` in interface `Glue`

  - ### excel

    public Spreadsheets excel()
    Specified by:
      `excel` in interface `Glue`

  - ### onClose

    public CompletionStage<Void> onClose()
    Description copied from interface: `AsynchronousCloseable`
    Return a stage that will complete when `AsynchronousCloseable.closeAsync()` is called and shutdown completes.
    Specified by:
      `onClose` in interface `AsynchronousCloseable`
    Returns:
      a stage that will complete when shutdown is complete, never `null`

  - ### closeAsync

    public CompletionStage<Void> closeAsync()
    Description copied from interface: `AsynchronousCloseable`
    Initiates a shutdown.
    Specified by:
      `closeAsync` in interface `AsynchronousCloseable`
    Returns:
      a stage that will complete when shutdown is complete, never `null`

  - ### on

    public <E extends GlueEvent<?>> CompletionStage<GlueEvent.Subscription<E>> on​(GlueEvent.Listener<? extends E> listener)
    Specified by:
      `on` in interface `GlueEvent.Monitor`

  - ### builder

    public static Tick42Glue.Builder builder()
    Description copied from interface: `Glue`
    Creates a builder for Glue instances.
    Returns:
      builder to create a new instance, never `null`